Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/bit2int.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/bit2int.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/bit2int.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION bit2int, bitin, checkneg = checkneg
+;
+  compile_opt idl2, strictarrsubs
+;
 
   res = 0L
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro	(revision 114)
@@ -1,3 +1,6 @@
 function read_grib, varcode, date1, date2, file = file
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; http://www.wmo.ch/web/www/WDM/Guides/Guide-binary-2.html
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_bds.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_bds.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_bds.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION read_grib_bds, num, recstart, ni, nj
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   offset = recstart+8
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_end.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_end.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_end.pro	(revision 114)
@@ -1,3 +1,6 @@
 PRO read_grib_end,  num, offset
+;
+  compile_opt idl2, strictarrsubs
+;
 
   a = assoc(num, bytarr(4, /nozero), offset)
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_gds.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_gds.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_gds.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION read_grib_gds, num, recstart
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   offset = recstart+8
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_is.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_is.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_is.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION read_grib_is, num, offset
+;
+  compile_opt idl2, strictarrsubs
+;
 
   infofile = fstat(num)
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_pds.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_pds.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib_pds.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION read_grib_pds, num, recstart
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   offset = recstart+8
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro	(revision 114)
@@ -40,4 +40,7 @@
 PRO read_gribtable,tablename,parmtabl=parmtabl,center=center,$
                    subcenter=subcenter,tablnum=tablnum
+;
+  compile_opt idl2, strictarrsubs
+;
   
 ON_ERROR,2
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_code.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_code.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_code.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION scan_grib_code, num, recstart
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   nrec =  n_elements(recstart)
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_date.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_date.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_date.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION scan_grib_date, num, recstart
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   nrec =  n_elements(recstart)
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_messize.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_messize.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_messize.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION scan_grib_messize, num, recstart
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   nrec =  n_elements(recstart)
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_nbits.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_nbits.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_nbits.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION scan_grib_nbits, num, recstart
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;
Index: trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_recstart.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_recstart.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/GRIB/scan_grib_recstart.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION scan_grib_recstart, num
+;
+  compile_opt idl2, strictarrsubs
+;
 
   infofile = fstat(num)
Index: trunk/SRC/ToBeReviewed/LECTURE/binary.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 114)
@@ -38,4 +38,7 @@
 ;-
 function binary, number
+;
+  compile_opt idl2, strictarrsubs
+;
   s = size(number)
   type = s[s[0] + 1]
Index: trunk/SRC/ToBeReviewed/LECTURE/changeread.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION changeread, newread
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @common
Index: trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro	(revision 114)
@@ -62,4 +62,7 @@
 FUNCTION inverse_binary, binnumb
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
   s = size(binnumb, /dimensions)
   IF n_elements(s) EQ 1 THEN numbofbit = 8 ELSE numbofbit = 8*s[1]
Index: trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 114)
@@ -105,4 +105,7 @@
 FUNCTION litchamp, struct, GRID = grid, NAME = name, UNIT = unit, EXP = exp, DATE = date $
                    , LEVEL = level, MASK = mask
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 114)
@@ -42,4 +42,7 @@
 ;------------------------------------------------------------
 function ncdf_lec,nom,ATT=att,DIM=dim,VAR=var, IODIR = iodir, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
    res = -1
 ;------------------------------------------------------------
@@ -124,5 +127,5 @@
           then begin
             print,'variable numero: ',strtrim(varid,1),', nom:',varcontent.name $
-             ,', type:' ,varcontent.datatype,', dimensions:',nomdim(varcontent.dim)
+             ,', type:' ,varcontent.datatype,', dimensions:',nomdim[varcontent.dim]
             if strlowcase(att) eq strlowcase(varcontent.name) then begin
                for attiq=0,varcontent.natts-1 do begin
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 114)
@@ -78,4 +78,7 @@
                     , GRID = grid, FBASE2TBASE = fbase2tbase, _EXTRA = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 114)
@@ -18,4 +18,7 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    COMMON wididbase, base
    COMMON resultat, res
@@ -200,4 +203,7 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    COMMON resultat, res
    COMMON infovariable, cdfid, listename, contient, nomdim, tailledim, varid, varcontient
@@ -306,4 +312,7 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    COMMON resultat, res
    COMMON infovariable, cdfid, listename, contient, nomdim, tailledim, varid, varcontient
@@ -408,4 +417,7 @@
 ;------------------------------------------------------------
 FUNCTION xncdf_lec, nom, ATT = att, COUNT = count, GROUP = group, OFFSET = offset, IODIR = iodir, SHIFT = shift,  STRIDE = stride, VAR = var
+;
+  compile_opt idl2, strictarrsubs
+;
    COMMON wididbase, base
    COMMON infovariable, cdfid, listename, contient, nomdim, tailledim, varid, varcontient
